%define _localstatedir /var

Summary:	System for layout and rendering of internationalized text
Name:		pango
Version:	0.9
Release:	6mdk
License:	LGPL
Group:		System/Internationalization
BuildRequires:	XFree86-devel libunicode-devel libfribidi0-devel

Source:		ftp://ftp.gtk/org/pub/gtk/v1.3/pango-%{version}.tar.bz2

URL:		http://www.pango.org/
BuildRoot:	%_tmppath/%name-%version-%release-root
Obsoletes:	gscript

%description
A library to handle unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

%package devel
Summary:  System for layout and rendering of internationalized text
Group: System/Libraries
Requires: pango = %version-%release
Requires: libunicode-devel
Requires:	libfribidi0-devel
Requires: XFree86-devel

%description devel
The pango-devel package includes the static libraries and header files
for the pango package.

Install pango-devel if you want to develop programs which will use
pango.

%prep
%setup -q

%configure

%install
install -d %buildroot/%_prefix

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/var/lib/pango
( cd $RPM_BUILD_ROOT%_libdir/pango/modules/
  LD_PRELOAD=$RPM_BUILD_ROOT%_libdir/libpango.so \
  	$RPM_BUILD_ROOT%_bindir/pango-querymodules *.so | \
	sed "s|$RPM_BUILD_ROOT||" > $RPM_BUILD_ROOT/var/lib/pango/pango.modules
)

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%{_prefix}/bin/pango-querymodules %{_libdir}/pango/modules/*.so > /var/lib/pango/pango.modules

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc README AUTHORS COPYING ChangeLog TODO
%doc examples/HELLO.utf8
%_libdir/libpango*-*.so
%_bindir/pango-querymodules
%_bindir/pango-viewer
%dir %_libdir/pango
%dir %_libdir/pango/modules
%_libdir/pango/modules/*.so
%dir %_sysconfdir/pango
%config %_sysconfdir/pango/pangox_aliases
%dir /var/lib/pango
/var/lib/pango/pango.modules

%files devel
%defattr(-, root, root)
%_bindir/pango-config
%_libdir/libpango.so
%_libdir/libpangox.so
%_libdir/libpango*.a
#%{prefix}/lib/pango/modules/*.a
%_includedir/*

%changelog
* Sun Apr 15 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9-6mdk
- fix %%post

* Thu Feb 15 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.9-5mdk
- Change the URL in the Source tag.
- Use of the %%configure macro.

* Wed Jan 17 2001 David BAUDNS <baudens@mandrakesoft.com> 0.9-4mdk
- BuildRequires: libfribidi0-devel
- Spec clean up

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9-3mdk
- automatically added BuildRequires

* Tue Apr 18 2000 Pixel <pixel@mandrakesoft.com> 0.9-2mdk
- fix % post (was writing to %/var/lib/pango instead of /var/lib/pango)

* Sat Apr 08 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.9-1mdk
- updated to 0.9
- corrected conflicts in %files section
- added orphaned directories & files 

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 0.8-1mdk
- Initial Mandrake Release
- spec-helper
- fixed groups

* Fri Feb 11 2000 Owen Taylor <otaylor@redhat.com>
- Created spec file
